[![Build Status](https://ci.matt-barnes.co.uk/api/badges/mb2g17/Portfolio2023/status.svg)](https://ci.matt-barnes.co.uk/mb2g17/Portfolio2023)
[![License: AGPL v3](https://img.shields.io/badge/Licensed%20under-AGPLv3-blue?logo=gnu)](https://www.gnu.org/licenses/agpl-3.0)

# Portfolio2023

A portfolio made with SvelteKit, TailwindCSS, and DaisyUI.

## Building manually

```bash
# install dependencies
$ npm install

# serve with hot reload
$ npm run dev

# build and run
$ npm run build
$ node build
```

## Building with docker (compose)

```bash
# Build + run the dockerfile while publishing port 3000
$ docker build -t portfolio2023 .
$ docker run -p 3000:3000 portfolio2023

# Or, just use the docker-compose file
$ docker-compose up -d
```

## Adding a project

Create a new `[slug].md` file in `src/routes/projects`, following the template:

```yaml
---
name: "Template Project"
dateOfCompletion: "January 01, 1960"
summary: "..."

languages: [ ... ]
technologies: [ ... ]
genres: [ ... ]

screenshots: 0

demoUrl: "https:// ..."
releaseUrl: "https:// ..."
sourceUrl: "https:// ..."
---

Description
```

Next, create a directory with the path `static/images/projects/[slug]` and put in the following images:

- `logo.jpg`
- `ss1.jpg`
- `ss2.jpg`
- `...` (keep adding screenshots until you reach the `screenshots` field you specified in `[slug].md`)

## Adding an employment

Create a new `[slug.md]` file in `src/routes/aboutme`, following the template:

```yaml
---
title: "Template Employment"
role: "Software Engineer"
hours: "Full-time"
startDate: "1960-01-01"
endDate: "1961-01-01" # pick between specifying "endDate" or "duration", but not both
duration: "1 year"
---

Description
```

Next, add a logo with the path `static/images/employment/[slug].jpg`.
