export interface Employment {
    title: string;
    role: string;
    hours: string;
    /** Not a URL; this is "static/images/emplyoments/[img].jpg" */
    img: string;
    date: string;
    /** Used for sorting */
    _startDate: number;

    /** Component to render description */
    content: any;
}

export enum ProjectType {
    APPLICATION = 1,
    GAME,
}

export interface MinimalProject {
    name: string;
    slug: string;

    summary: string;
    type: ProjectType;

    languages: string[];
    frameworks: string[];
    technologies: string[];
    genres: string[];

    starred: boolean;
}

export type Project = MinimalProject & {
    dateOfCompletion: Date;

    /** Component to render description */
    content: any;

    screenshots: number;

    demoUrl: string;
    releaseUrl: string;
    sourceUrl: string;
};
