import type { Project } from "$lib/types";
import { markdownToProject } from "$lib/utils";

// Get all project slugs
const mdFiles = import.meta.glob("./projects/*.md");
let slugs: string[] = [];

for (const mdPath in mdFiles) {
    const slug = mdPath.slice(11, -3);
    slugs = [...slugs, slug];
}

export const load = (async () => {
    // Filters all projects that are starred
    let starredProjects: Project[] = [];
    for (const slug of slugs) {
        const rawProj = await import(`./projects/${slug}.md`);
        const project = markdownToProject(rawProj.metadata, rawProj.default, slug);

        if (project.starred) {
            starredProjects = [...starredProjects, project];
        }
    }

    return { starredProjects };
});
