import type { PageLoad } from './$types';
import type { Employment } from '$lib/types';
import { markdownToEmployment } from '$lib/utils';

export const load = (async () => {
    // Get all employments
    const mdFiles = import.meta.glob("./*.md");
    let employments: Employment[] = [];

    for (const mdPath in mdFiles) {
        const rawEmp: any = await mdFiles[mdPath]();
        const slug = mdPath.slice(2, -3);
        const emp = markdownToEmployment(rawEmp.metadata, rawEmp.default, slug);

        employments = [...employments, emp];
    }

    // Sort employments
    employments.sort((a,b) => b._startDate - a._startDate);

    return { employments };
}) satisfies PageLoad;
