---
name: "FossPop"
dateOfCompletion: "July 08, 2021"
summary: "A free and open-source clone of the puzzle game HuniePop using WebAssembly."

languages: ["C++"]
technologies: ["WebAssembly", "Unit Testing", "CI / CD"]
genres: ["Arcade"]

screenshots: 2

demoUrl: "https://demos.matt-barnes.co.uk/fosspop/"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/fosspop"
---

A while ago, I found out about WebAssembly, and was fascinated by the performance of web applications using it, as well as the use of practically any programming language to build them. Following from that, I wanted to create a web application that utilises WebAssembly. I saw AssemblyScript, which was nice, but it didn't have any third-party libraries for making anything particularly interesting. Then, I came across Emscripten, which is a compiler that compiles C / C++ code to WebAssembly. After creating a quick test project with SDL2, I thought I'd make a simple game to test this new technology out!

FossPop is a free and open-source clone of the puzzle dating sim HuniePop. You have a grid of coloured tiles, and you earn points by matching up adjacent tiles of the same colour. You can move a tile anywhere on the same row or column, but you can't move them diagonally. Match up bells to get extra moves, and match up hearts to increase your score multiplier. Keep clear of broken hearts, as they will decrease your score!

In addition to my first WebAssembly project, this is also my first project to use a self-hosted CI solution: Jenkins. Not only that, but the sprites designed for this were created in Krita: a free and open-source graphical editor.
