---
name: "MyAnythingList"
dateOfCompletion: "May 20, 2023"
summary: "A Hugo theme designed similarly to MyAnimeList, but for any general ranked personal list."

languages: ["HTML", "JavaScript"]
frameworks: ["Hugo"]

screenshots: 4

demoUrl: "https://lists.matt-barnes.co.uk/"
sourceUrl: "https://git.matt-barnes.co.uk/mb2g17/MyAnythingList"
---

MyAnythingList is a Hugo theme that was designed with a similar purpose to the "Anime List" view in MyAnimeList, but designed for any kind of item, such as games, books, TV shows and more. Each entry is represented as a Markdown document, each state such as 'watching' or 'complete' is represented as sub-lists, and each entry type such as 'games' or 'films' are represented as lists. This is a reimplementation of the project [Personal Lists](personal-lists).

For a long time now, I've had many iterations of a general-purpose reimplementation of MyAnimeList that I would personally use to catalogue the games I've played, games I'm playing, and games I've beaten. The initial implementations were very rudimentary: the first being little more than an PHP server and a front-end for a text file that you could manually update with the web interface (it didn't even use a markup language like JSON or XML). Since then, I had upgraded it multiple times, until eventually I reached what you see in my Personal Lists project.

There were a number of things I didn't like about Personal Lists that I wished I could've done differently, such as:
- The awful PHP backend I whipped up because I got lazy
- The awkward UI across the top of the screen, which was useless unless you were the admin
- No built-in dark theme

Therefore, I always had the project idea of revamping Personal Lists in the back of my mind. When I got around to learning Hugo and static site generators, I thought it would be a great idea to turn Personal Lists into a Hugo theme and structure everything with Markdown documents. This would be good because:
- No more awful PHP backend; a dead simple HTTP web server would suffice
- No awkward UI; if you want to add / move / delete entries, you'd do it with the Markdown files, and commit + push to the repository
- It's super easy to integrate themes with a Hugo configuration file and DaisyUI + TailwindCSS

Thus, MyAnythingList was born!
